OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
opal_init.c File Reference
`#include "opal_config.h"`
`#include "opal/util/malloc.h"`
`#include "opal/util/output.h"`
`#include "opal/util/trace.h"`
`#include "opal/util/show_help.h"`
`#include "opal/memoryhooks/memory.h"`
`#include "opal/mca/base/base.h"`
`#include "opal/runtime/opal.h"`
`#include "opal/util/net.h"`
`#include "opal/datatype/opal_datatype.h"`
`#include "opal/mca/installdirs/base/base.h"`
`#include "opal/mca/memory/base/base.h"`
`#include "opal/mca/memcpy/base/base.h"`
`#include "opal/mca/hwloc/base/base.h"`
`#include "opal/mca/paffinity/base/base.h"`
`#include "opal/mca/timer/base/base.h"`
`#include "opal/mca/memchecker/base/base.h"`
`#include "opal/dss/dss.h"`
`#include "opal/mca/carto/base/base.h"`
`#include "opal/mca/shmem/base/base.h"`
`#include "opal/runtime/opal_cr.h"`
`#include "opal/mca/crs/base/base.h"`
`#include "opal/runtime/opal_progress.h"`
`#include "opal/mca/event/base/base.h"`
`#include "opal/mca/backtrace/base/base.h"`
`#include "opal/constants.h"`
`#include "opal/util/error.h"`
`#include "opal/util/stacktrace.h"`
`#include "opal/util/keyval_parse.h"`
`#include "opal/util/sys_limits.h"`
`#include "opal/util/opal_sos.h"`

## Functions
static int | opal_err2str (int errnum, const char **errmsg)
int | opal_init_util (int *pargc, char ***pargv)
| Initialize the OPAL layer, excluding the MCA system. More...
int | opal_init (int *pargc, char ***pargv)
| Initialize the OPAL layer, including the MCA system. More...

## Variables
const char | opal_version_string [] = OPAL_IDENT_STRING
| version string of opal
int | opal_initialized = 0
int | opal_util_initialized = 0
int | opal_cache_line_size

## Function Documentation

int opal_init | ( | int * | pargc,
|  | char *** | pargv
| ) |  |

Initialize the OPAL layer, including the MCA system.

Return values

  OPAL_SUCCESS | Upon success.
  OPAL_ERROR | Upon failure.

Note
  If this function is called, opal_init_util() should not be called.

References opal_cr_init(), opal_init_util(), opal_progress_event_users_increment(), and opal_progress_init().

Referenced by orte_init().

int opal_init_util | ( | int * | pargc,
|  | char *** | pargv
| ) |  |

Initialize the OPAL layer, excluding the MCA system.

Return values

  OPAL_SUCCESS | Upon success.
  OPAL_ERROR | Upon failure.

Note
  If this function is called, opal_init() should not be called.

References mca_base_param_init(), opal_dss_open(), opal_malloc_init(), opal_output_init(), and opal_register_params().

Referenced by ompi_mpi_init(), and opal_init().